program NUTS;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var t,n,m,k,i:integer;

begin
  reset(input,'NUTS.IN');
//  rewrite(output,'output.txt');

  readln(t);

  for i := 1 to t do begin
    readln(n,m,k);
    if n*m>=k then writeln('YES') else writeln('NO');
  end;

end.
